Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.component
Class ComponentManagerFactory

    java.lang.Object
      org.xmpp.component.ComponentManagerFactory

    public class ComponentManagerFactory

extends Object

Factory to get a ComponentManager implementation. The ComponentManager implementation used will determined in the following way:

- An external process can set the ComponentManager using `setComponentManager(ComponentManager)`.
- If the component manager is `null`, the factory will check for the Java system property "whack.componentManagerClass". The value of the property should be the fully qualified class name of a ComponentManager implementation (e.g. com.foo.MyComponentManager). The class must have a default constructor.

Author:
  Matt Tucker

Constructor Summary
`ComponentManagerFactory()`

Method Summary
`static ComponentManager` | `getComponentManager()` Returns a ComponentManager instance.
`static void` | `setComponentManager(ComponentManager manager)` Sets the ComponentManager instance that will be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentManagerFactory

    public ComponentManagerFactory()

Method Detail

### getComponentManager

    public static ComponentManager getComponentManager()

  Returns a ComponentManager instance.

  Returns:
    a ComponentManager instance.

### setComponentManager

    public static void setComponentManager(ComponentManager manager)

  Sets the ComponentManager instance that will be used.

  Parameters:
    `manager` - the ComponentManager instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.